# Frontal web configuration

This repository contains units and config files for our frontal web starting (at boot). We start lighttpd with a WebSSH
instance running (for web remote access if need be). We must manually unlock certificates volume, then start nginx.

### Files
* `etc-letsencrypt.mount` allows to unlock and mount encrypted certificates volume.
  * Relevant information should be added to `/etc/crypttab`.
  * Make sure that `/etc/letsencrypt` directory exists
* `wait-for-dns.conf` is a drop-in Systemd unit file, which prevents nginx to start before DNS server is operational.
#### Installation
* `install.sh` script copies Systemd files to their destination.

### TODO
* RAS
